vim.api.nvim_set_keymap('n', '<LocalLeader>l', ':lua require(\'lint\').try_lint()<CR>', { noremap = true, unique = true })

require('lint').linters_by_ft = {
  haskell    = { 'hlint' },
  javascript = { 'eslint' },
  lua        = { 'luacheck' },
  markdown   = { 'vale' },
  pandoc     = { 'vale' },
  python     = { 'flake8', 'mypy', 'pycodestyle', 'pylint' },
  sh         = { 'shellcheck' },
  typescript = { 'eslint' },
  text       = { 'vale' },
}
